org.apache.pdfbox.preflight

## Interface PreflightConstants

    public interface PreflightConstants

This interface provide a set of constants which identify validation error.

### Field Summary

Fields
`static String` `ACROFORM_DICTIONARY_KEY_NEED_APPEARANCES`
`static String` `ACTION_DICTIONARY_KEY_NEXT`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_GOTO`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_GOTOR`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_HIDE`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_IMPORT`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_JAVASCRIPT`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_LAUNCH`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_MOVIE`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_NAMED`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_NAMED_FIRST`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_NAMED_LAST`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_NAMED_NEXT`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_NAMED_PREV`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_NOOP`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_RESET`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_SETSTATE`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_SOUND`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_SUBMIT`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_THREAD`
`static String` `ACTION_DICTIONARY_VALUE_ATYPE_URI`
`static String` `ACTION_DICTIONARY_VALUE_TYPE`
`static String` `ANNOT_DICTIONARY_KEY_INKLIST`
`static String` `ANNOT_DICTIONARY_KEY_QUADPOINTS`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_CIRCLE`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_FREETEXT`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_HIGHLIGHT`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_INK`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_LINE`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_LINK`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_POPUP`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_PRINTERMARK`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_SQUARE`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_SQUILGGLY`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_STAMP`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_STRIKEOUT`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_TEXT`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_TRAPNET`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_UNDERLINE`
`static String` `ANNOT_DICTIONARY_VALUE_SUBTYPE_WIDGET`
`static String` `ANNOT_DICTIONARY_VALUE_TYPE`
`static String` `DICTIONARY_KEY_ADDITIONAL_ACTION`
`static String` `DICTIONARY_KEY_LINEARIZED`
`static String` `DICTIONARY_KEY_LINEARIZED_E`
`static String` `DICTIONARY_KEY_LINEARIZED_H`
`static String` `DICTIONARY_KEY_LINEARIZED_L`
`static String` `DICTIONARY_KEY_LINEARIZED_N`
`static String` `DICTIONARY_KEY_LINEARIZED_O`
`static String` `DICTIONARY_KEY_LINEARIZED_T`
`static String` `DICTIONARY_KEY_OPEN_ACTION`
`static String` `DICTIONARY_KEY_PATTERN`
`static String` `DICTIONARY_KEY_PATTERN_TYPE`
`static String` `DICTIONARY_KEY_XOBJECT`
`static int` `DICTIONARY_PATTERN_SHADING`
`static int` `DICTIONARY_PATTERN_TILING`
`static String` `DOCUMENT_DICTIONARY_KEY_OPTIONAL_CONTENTS`
`static String` `DOCUMENT_DICTIONARY_KEY_OUTPUT_INTENTS`
`static int` `EDOC_TOKEN_MGR_ERROR`
`static String` `EDOC_TOKEN_MGR_ERROR_TAG`
`static String` `ERROR_ACTION_FORBIDDEN_ACTIONS` Common forbidden action error
`static String` `ERROR_ACTION_FORBIDDEN_ACTIONS_EXPLICITLY_FORBIDDEN` An explicitly forbidden action is used in the PDF file.
`static String` `ERROR_ACTION_FORBIDDEN_ACTIONS_NAMED` Named action other than predefined not allowed
`static String` `ERROR_ACTION_FORBIDDEN_ACTIONS_UNDEF` Actions is rejected if it isn't defined in the PDF Reference Third Edition This is to avoid not consistent file due to new features of the PDF format.
`static String` `ERROR_ACTION_FORBIDDEN_ADDITIONAL_ACTION` Additional action entry is forbidden
`static String` `ERROR_ACTION_FORBIDDEN_ADDITIONAL_ACTIONS_FIELD` Additional action entry is forbidden in a form field object
`static String` `ERROR_ACTION_FORBIDDEN_WIDGET_ACTION_FIELD` A widget annotation linked with a form field shall not have any action
`static String` `ERROR_ACTION_HIDE_H_INVALID` The H entry of a Hide action is set to true (so some annotation can be hide)
`static String` `ERROR_ACTION_INVALID_ACTIONS` Common invalid action error
`static String` `ERROR_ACTION_INVALID_TYPE` Some elements of the annotation dictionary have an invalid type (ex : array instead of Dictionary)
`static String` `ERROR_ACTION_MAIN`
`static String` `ERROR_ACTION_MISING_KEY` A mandatory entry in the action dictionary is missing
`static String` `ERROR_ACTION_MISSING_ACTION_DICTIONARY` An action validation is required but there are no element to validate
`static String` `ERROR_ANNOT_CATALOG_FORBIDDEN_AA` The AA field is forbidden for the Catalog when the PDF is a PDF/A
`static String` `ERROR_ANNOT_FORBIDDEN_AA` The AA field is forbidden for the Widget annotation when the PDF is a PDF/A
`static String` `ERROR_ANNOT_FORBIDDEN_COLOR` Annotation uses a Color profile which isn't the same than the profile contained by the OutputIntent
`static String` `ERROR_ANNOT_FORBIDDEN_DEST` Dest entry can't be used if the A element is used too
`static String` `ERROR_ANNOT_FORBIDDEN_ELEMENT` Common forbidden field error in annotation dictionary
`static String` `ERROR_ANNOT_FORBIDDEN_FLAG` The annotation uses a flag which is forbidden.
`static String` `ERROR_ANNOT_FORBIDDEN_SUBTYPE` This type of annotation is forbidden (ex : Movie)
`static String` `ERROR_ANNOT_INVALID_AP_CONTENT` The AP dictionary of the annotation contains forbidden/invalid entries (only the N entry is authorized)
`static String` `ERROR_ANNOT_INVALID_CA` Ca or/and ca entry are present but the value isn't 1.0
`static String` `ERROR_ANNOT_INVALID_DEST` Dest entry of an annotation can't be checked due to an IO Exception
`static String` `ERROR_ANNOT_INVALID_ELEMENT` Common Invalid field error in annotation dictionary
`static String` `ERROR_ANNOT_MAIN`
`static String` `ERROR_ANNOT_MISSING_ANNOTATION_DICTIONARY` An annotation validation is required but there are no element to validate
`static String` `ERROR_ANNOT_MISSING_AP_N_CONTENT` The AP dictionary of the annotation contains forbidden/invalid entries (only the N entry is authorized)
`static String` `ERROR_ANNOT_MISSING_FIELDS` Common missing field error in annotation dictionary
`static String` `ERROR_ANNOT_MISSING_SUBTYPE` The subtype entry is missing from the annotation dictionary
`static String` `ERROR_ANNOT_NOT_RECOMMENDED_FLAG` The annotation uses a flag which is not recommended but not forbidden by the ISO 19005-1:2005.
`static String` `ERROR_FONTS_CHARSET_MISSING_FOR_SUBSET` Charset declaration is missing in a Type 1 Subset
`static String` `ERROR_FONTS_CID_CMAP_DAMAGED` The embedded CID Map is damaged
`static String` `ERROR_FONTS_CID_DAMAGED` The embedded composite font is damaged
`static String` `ERROR_FONTS_CIDKEYED_CIDTOGID` The CIDToGID is invalid
`static String` `ERROR_FONTS_CIDKEYED_CMAP_INVALID_OR_MISSING` The CMap of the Composite Font is missing or invalid
`static String` `ERROR_FONTS_CIDKEYED_INVALID` Required entry in a Composite Font dictionary is missing
`static String` `ERROR_FONTS_CIDKEYED_SYSINFO` The CIDSystemInfo dictionary is invalid
`static String` `ERROR_FONTS_CIDSET_MISSING_FOR_SUBSET` The CIDSet entry i mandatory from a subset of composite font
`static String` `ERROR_FONTS_DAMAGED` The embedded font is damaged
`static String` `ERROR_FONTS_DESCRIPTOR_INVALID` Some mandatory fields are missing from the FONT Descriptor Dictionary
`static String` `ERROR_FONTS_DICTIONARY_INVALID` Some mandatory fields are missing from the FONT Dictionary
`static String` `ERROR_FONTS_ENCODING` Encoding is inconsistent with the Font (ex : Symbolic TrueType mustn't declare encoding)
`static String` `ERROR_FONTS_ENCODING_ERROR` The CMap of the Composite Font is missing or invalid
`static String` `ERROR_FONTS_ENCODING_IO` Encoding entry can't be read due to IOException
`static String` `ERROR_FONTS_FONT_FILEX_INVALID` Error on the "Font File x" in the Font Descriptor (ex : FontFile and FontFile2 are present in the same dictionary)
`static String` `ERROR_FONTS_GLYPH` Common error for a Glyph problem
`static String` `ERROR_FONTS_GLYPH_MISSING` a glyph is missing
`static String` `ERROR_FONTS_INVALID_DATA`
`static String` `ERROR_FONTS_MAIN` Main error code for font problems
`static String` `ERROR_FONTS_METRICS` Width array and Font program Width are inconsistent
`static String` `ERROR_FONTS_TRUETYPE_DAMAGED` The embedded TrueType font is damaged
`static String` `ERROR_FONTS_TYPE1_DAMAGED` The embedded Type1 font is damaged
`static String` `ERROR_FONTS_TYPE3_DAMAGED` The embedded type 3 font is damaged
`static String` `ERROR_FONTS_UNKNOWN_FONT_REF` a glyph is missing
`static String` `ERROR_FONTS_UNKNOWN_FONT_TYPE` The font type is unknown
`static String` `ERROR_GRAPHIC_INVALID`
`static String` `ERROR_GRAPHIC_INVALID_BBOX` BBox Entry of a Form XObject is missing or isn't an Array
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE` An invalid color space is used
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_ALTERNATE` alternate color space used in the PDF file but the DestOutputProfile isn't consistent
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_CMYK` CMYK color space used in the PDF file but the DestOutputProfile isn't CMYK
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_FORBIDDEN` ColorSpace is forbidden due to some restriction (ex : Only DeviceXXX are auth in inlined image)
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_ICCBASED` ICC Based color space used in the PDF file is invalid
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_INDEXED` Base ColorSpace in the Indexed color space is invalid
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_MISSING` color space used in the PDF file but the DestOutputProfile is missing
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_RGB` RGB color space used in the PDF file but the DestOutputProfile isn't RGB
`static String` `ERROR_GRAPHIC_INVALID_COLOR_SPACE_TOO_MANY_COMPONENTS_DEVICEN`
`static String` `ERROR_GRAPHIC_INVALID_PATTERN_COLOR_SPACE_FORBIDDEN` The pattern color space can't be used
`static String` `ERROR_GRAPHIC_INVALID_PATTERN_DEFINITION` The pattern is invalid due to missing key or invalid value
`static String` `ERROR_GRAPHIC_INVALID_UNKNOWN_COLOR_SPACE` Unknown ColorSpace
`static String` `ERROR_GRAPHIC_MAIN` Main error code for graphical problems
`static String` `ERROR_GRAPHIC_MISSING_COLOR_SPACE_ICCBASED` Validation asked on a missing ColorSpace
`static String` `ERROR_GRAPHIC_MISSING_FIELD`
`static String` `ERROR_GRAPHIC_MISSING_OBJECT`
`static String` `ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_INVALID` The ICC Profile is invalid
`static String` `ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_MULTIPLE` There are more than one ICC Profile
`static String` `ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_TOO_RECENT` Profile version is too recent for PDF 1.4 document
`static String` `ERROR_GRAPHIC_OUTPUT_INTENT_INVALID_ENTRY` The OutputIntent dictionary is invalid
`static String` `ERROR_GRAPHIC_OUTPUT_INTENT_S_VALUE_INVALID` The S entry of the OutputIntent isn't GTS_PDFA1
`static String` `ERROR_GRAPHIC_TOO_MANY_GRAPHIC_STATES`
`static String` `ERROR_GRAPHIC_TRANSPARENCY` Main error code for graphical transparency problems
`static String` `ERROR_GRAPHIC_TRANSPARENCY_GROUP` A Group entry with S = Transparency is used or the S = Null
`static String` `ERROR_GRAPHIC_TRANSPARENCY_SMASK` A XObject SMask value isn't None
`static String` `ERROR_GRAPHIC_UNEXPECTED_KEY` A XObject has an unexpected key defined
`static String` `ERROR_GRAPHIC_UNEXPECTED_VALUE_FOR_KEY` A XObject has an unexpected value for a defined key
`static String` `ERROR_GRAPHIC_XOBJECT_INVALID_TYPE`
`static String` `ERROR_METADATA_ABSENT_DESCRIPTION_SCHEMA` Description schema required not embedded
`static String` `ERROR_METADATA_CATEGORY_PROPERTY_INVALID` a category has an invalid value in one property description (must be internal or external)
`static String` `ERROR_METADATA_DICT_INFO_CORRUPT` the info dictionary is corrupt or value can't be read
`static String` `ERROR_METADATA_FORMAT` Invalid metadata found
`static String` `ERROR_METADATA_FORMAT_STREAM` Invalid metadata, unable to process the font due to IOException
`static String` `ERROR_METADATA_FORMAT_UNKOWN` Unexpected type of a Metadata entry
`static String` `ERROR_METADATA_FORMAT_XPACKET` Invalid metadata, unable to process the font due to Invalid XPacket exception
`static String` `ERROR_METADATA_INVALID_PDFA_CONFORMANCE` PDF/A Identification Conformance Invalid
`static String` `ERROR_METADATA_INVALID_PDFA_VERSION_ID` PDF/A Identification Version Identifier Invalid (pdfaid:part)
`static String` `ERROR_METADATA_MAIN` Main metadata error code
`static String` `ERROR_METADATA_MISMATCH` Metadata mismatch between PDF Dictionary and xmp
`static String` `ERROR_METADATA_NS_URI_MISSING` A required namespace URI missing
`static String` `ERROR_METADATA_PDFA_ID_MISSING` PDF/A Identification Schema not found
`static String` `ERROR_METADATA_PROPERTY_FORMAT` Invalid xmp metadata format
`static String` `ERROR_METADATA_PROPERTY_MISSING` Required property is missing
`static String` `ERROR_METADATA_PROPERTY_UNKNOWN` Unknown metadata
`static String` `ERROR_METADATA_RDF_ABOUT_ATTRIBUTE_INEQUAL_VALUE` One of rdf:about attribute embedded in RDF:rdf have a different value than the others
`static String` `ERROR_METADATA_RDF_ABOUT_ATTRIBUTE_MISSING` rdf:about is missing
`static String` `ERROR_METADATA_UNKNOWN_VALUETYPE` A valueType is used but is not declared
`static String` `ERROR_METADATA_WRONG_NS_PREFIX` A namespace prefix has an unexpected value
`static String` `ERROR_METADATA_WRONG_NS_URI` A namespace URI has an unexpected value
`static String` `ERROR_METADATA_XPACKET_DEPRECATED` Invalid information in xpacket processing instruction
`static String` `ERROR_PDF_PROCESSING` Error about PDF processing : that is not necessary a specific PDF/A validation error but a PDF specification requirement that isn't respected.
`static String` `ERROR_PDF_PROCESSING_MISSING` A Mandatory element is missing
`static String` `ERROR_SYNTAX_ARRAY_TOO_LONG` Too many element in an array object
`static String` `ERROR_SYNTAX_BODY` Common error about body syntax
`static String` `ERROR_SYNTAX_CID_RANGE` CID too long
`static String` `ERROR_SYNTAX_COMMON`
`static String` `ERROR_SYNTAX_CONTENT_STREAM_INVALID` The content stream has some syntax errors
`static String` `ERROR_SYNTAX_CONTENT_STREAM_INVALID_ARGUMENT` The content stream contains an invalid argument for the operator
`static String` `ERROR_SYNTAX_CONTENT_STREAM_UNSUPPORTED_OP` The content stream uses an unsupported operator
`static String` `ERROR_SYNTAX_CROSS_REF` Common error about the cross ref table
`static String` `ERROR_SYNTAX_DICT_INVALID` Required fields are missing from the dictionary
`static String` `ERROR_SYNTAX_DICTIONARY_KEY_INVALID` A dictionary key isn't a name
`static String` `ERROR_SYNTAX_EMBEDDED_FILES` EmbeddedFile entry is present in a FileSpecification dictionary
`static String` `ERROR_SYNTAX_HEADER`
`static String` `ERROR_SYNTAX_HEADER_FILE_TYPE`
`static String` `ERROR_SYNTAX_HEADER_FIRST_CHAR`
`static String` `ERROR_SYNTAX_HEXA_STRING_EVEN_NUMBER` Hexa string shall contain even number of non white space char
`static String` `ERROR_SYNTAX_HEXA_STRING_INVALID` Hexa string contain non hexadecimal characters
`static String` `ERROR_SYNTAX_HEXA_STRING_TOO_LONG` The hexa string is too long
`static String` `ERROR_SYNTAX_INDIRECT_OBJ_RANGE` There are too many objects
`static String` `ERROR_SYNTAX_INVALID_OFFSET` An object has an invalid offset
`static String` `ERROR_SYNTAX_LANG_NOT_RFC1766` The language declared doesn't match with the RFC1766
`static String` `ERROR_SYNTAX_LITERAL_TOO_LONG` The literal string is too long
`static String` `ERROR_SYNTAX_MAIN` Error code for syntax error
`static String` `ERROR_SYNTAX_MISSING_OFFSET` An object is missing from the document
`static String` `ERROR_SYNTAX_NAME_TOO_LONG` The name length is too long
`static String` `ERROR_SYNTAX_NOCATALOG` There are no catalog dictionary in the PDF File
`static String` `ERROR_SYNTAX_NUMERIC_RANGE` The number is out of Range ( ex : greater than 2^31-1)
`static String` `ERROR_SYNTAX_OBJ_DELIMITER` Error on the object delimiters (obj / endobj)
`static String` `ERROR_SYNTAX_STREAM_DAMAGED` The stream can't be processed
`static String` `ERROR_SYNTAX_STREAM_DELIMITER` Error on the stream delimiters (stream / endstream)
`static String` `ERROR_SYNTAX_STREAM_FX_KEYS` F or/and FFilter or/and FDecodeParms are present in a stream dictionary
`static String` `ERROR_SYNTAX_STREAM_INVALID_FILTER` The stream uses an invalid filter (The LZW)
`static String` `ERROR_SYNTAX_STREAM_LENGTH_INVALID` The length of the stream dictionary and the stream length is inconsistent
`static String` `ERROR_SYNTAX_STREAM_LENGTH_MISSING` The length entry is missing from the stream dictionary
`static String` `ERROR_SYNTAX_STREAM_UNDEFINED_FILTER` The stream uses a filter which isn't defined in the PDF Reference document.
`static String` `ERROR_SYNTAX_TOO_MANY_ENTRIES` Too many entries in a dictionary object
`static String` `ERROR_SYNTAX_TRAILER` Common error about the trailer
`static String` `ERROR_SYNTAX_TRAILER_CATALOG_EMBEDDEDFILES` EmbeddedFile entry is present in the Names dictionary
`static String` `ERROR_SYNTAX_TRAILER_CATALOG_OCPROPERTIES` Optional content is forbidden
`static String` `ERROR_SYNTAX_TRAILER_ENCRYPT` Encrypt is forbidden
`static String` `ERROR_SYNTAX_TRAILER_EOF` Last %%EOF sequence is followed by data
`static String` `ERROR_SYNTAX_TRAILER_ID_CONSISTENCY` ID in 1st trailer and the last is different
`static String` `ERROR_SYNTAX_TRAILER_MISSING_ID` ID is missing from the trailer
`static String` `ERROR_SYNTAX_TRAILER_MISSING_ROOT` Root is missing from the trailer
`static String` `ERROR_SYNTAX_TRAILER_MISSING_SIZE` Size is missing from the trailer
`static String` `ERROR_SYNTAX_TRAILER_OUTLINES_INVALID` Errors in the Outlines dictionary
`static String` `ERROR_SYNTAX_TRAILER_TYPE_INVALID` An trailer entry has an invalid type
`static String` `ERROR_TRANSPARENCY_EXT_GRAPHICAL_STATE` Common transparency error
`static String` `ERROR_TRANSPARENCY_EXT_GS_BLEND_MODE` BlendMode value isn't valid (only Normal and Compatible are authorized)
`static String` `ERROR_TRANSPARENCY_EXT_GS_CA` Ca or/and ca entry are present but the value isn't 1.0
`static String` `ERROR_TRANSPARENCY_EXT_GS_SOFT_MASK` Soft mask entry is present but is forbidden
`static String` `ERROR_TRANSPARENCY_MAIN`
`static String` `ERROR_UNKOWN_ERROR` Error code uses by the Validator when there is an error without error code.
`static String` `FILE_SPECIFICATION_KEY_EMBEDDED_FILE`
`static String` `FILE_SPECIFICATION_VALUE_TYPE`
`static int` `FONT_DICTIONARY_DEFAULT_CMAP_WMODE`
`static String` `FONT_DICTIONARY_KEY_ASCENT`
`static String` `FONT_DICTIONARY_KEY_BASEENCODING`
`static String` `FONT_DICTIONARY_KEY_BASEFONT`
`static String` `FONT_DICTIONARY_KEY_CAPHEIGHT`
`static String` `FONT_DICTIONARY_KEY_CHARPROCS`
`static String` `FONT_DICTIONARY_KEY_CID_GIDMAP`
`static String` `FONT_DICTIONARY_KEY_CIDSET`
`static String` `FONT_DICTIONARY_KEY_CMAP_NAME`
`static String` `FONT_DICTIONARY_KEY_CMAP_USECMAP`
`static String` `FONT_DICTIONARY_KEY_CMAP_WMODE`
`static String` `FONT_DICTIONARY_KEY_DESCENDANT_FONTS`
`static String` `FONT_DICTIONARY_KEY_DESCENT`
`static String` `FONT_DICTIONARY_KEY_ENCODING`
`static String` `FONT_DICTIONARY_KEY_FIRSTCHAR`
`static String` `FONT_DICTIONARY_KEY_FLAGS`
`static String` `FONT_DICTIONARY_KEY_FONT_DESC`
`static String` `FONT_DICTIONARY_KEY_FONTBBOX`
`static String` `FONT_DICTIONARY_KEY_FONTMATRIX`
`static String` `FONT_DICTIONARY_KEY_FONTNAME`
`static String` `FONT_DICTIONARY_KEY_ITALICANGLE`
`static String` `FONT_DICTIONARY_KEY_LASTCHAR`
`static String` `FONT_DICTIONARY_KEY_LENGTH2`
`static String` `FONT_DICTIONARY_KEY_LENGTH3`
`static String` `FONT_DICTIONARY_KEY_METADATA`
`static String` `FONT_DICTIONARY_KEY_NAME`
`static String` `FONT_DICTIONARY_KEY_STEMV`
`static String` `FONT_DICTIONARY_KEY_TOUNICODE`
`static String` `FONT_DICTIONARY_KEY_WIDTHS`
`static String` `FONT_DICTIONARY_VALUE_CMAP_IDENTITY`
`static String` `FONT_DICTIONARY_VALUE_CMAP_IDENTITY_H`
`static String` `FONT_DICTIONARY_VALUE_CMAP_IDENTITY_V`
`static String` `FONT_DICTIONARY_VALUE_COMPOSITE`
`static String` `FONT_DICTIONARY_VALUE_ENCODING`
`static String` `FONT_DICTIONARY_VALUE_ENCODING_MAC`
`static String` `FONT_DICTIONARY_VALUE_ENCODING_MAC_EXP`
`static String` `FONT_DICTIONARY_VALUE_ENCODING_PDFDOC`
`static String` `FONT_DICTIONARY_VALUE_ENCODING_STD`
`static String` `FONT_DICTIONARY_VALUE_ENCODING_WIN`
`static String` `FONT_DICTIONARY_VALUE_FONT`
`static String` `FONT_DICTIONARY_VALUE_MMTYPE`
`static String` `FONT_DICTIONARY_VALUE_TRUETYPE`
`static String` `FONT_DICTIONARY_VALUE_TYPE_CMAP`
`static String` `FONT_DICTIONARY_VALUE_TYPE0`
`static String` `FONT_DICTIONARY_VALUE_TYPE0C`
`static String` `FONT_DICTIONARY_VALUE_TYPE1`
`static String` `FONT_DICTIONARY_VALUE_TYPE1C`
`static String` `FONT_DICTIONARY_VALUE_TYPE2`
`static String` `FONT_DICTIONARY_VALUE_TYPE3`
`static String` `FORMAT_PDF_A1A`
`static String` `FORMAT_PDF_A1B`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_Adobe`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_bg_sRGB`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_001`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_002`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_003`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_005`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_006`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR001`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR002`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR003`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR005`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR006`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_eciRGB`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_ERIMM`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_EUROSB104`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_EUROSB204`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA27`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA28`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA29`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA30`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA31`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA32`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA33`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA34`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA35`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA36`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA37`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA38`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA39`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA40`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA41`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA42`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA43`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA44`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA45`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA46`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA47`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_IFRA26`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_JC200103`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_JC200104`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_JCN2002`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_JCW2003`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_opRGB`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_RIMM`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_ROMM`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_scRGB`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_scRGB_nl`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_scYCC_nl`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_sRGB`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_sRGB_IEC`
`static String` `ICC_CHARACTERIZATION_DATA_REGISTRY_sYCC`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_ASCII_85`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_ASCII_HEX`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_CCITTFF`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_DCT`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_FLATE_DECODE`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_LZW`
`static String` `INLINE_DICTIONARY_VALUE_FILTER_RUN`
`static int` `MAX_ARRAY_ELEMENTS`
`static int` `MAX_CID`
`static int` `MAX_DEVICE_N_LIMIT`
`static int` `MAX_DICT_ENTRIES`
`static int` `MAX_GRAPHIC_STATES`
`static int` `MAX_INDIRECT_OBJ`
`static int` `MAX_NAME_SIZE`
`static float` `MAX_NEGATIVE_FLOAT`
`static float` `MAX_POSITIVE_FLOAT`
`static int` `MAX_STRING_LENGTH`
`static String` `OUTPUT_INTENT_DICTIONARY_KEY_DEST_OUTPUT_PROFILE`
`static String` `OUTPUT_INTENT_DICTIONARY_KEY_INFO`
`static String` `OUTPUT_INTENT_DICTIONARY_KEY_OUTPUT_CONDITION_IDENTIFIER`
`static String` `OUTPUT_INTENT_DICTIONARY_KEY_S`
`static String` `OUTPUT_INTENT_DICTIONARY_VALUE_GTS_PDFA1`
`static String` `OUTPUT_INTENT_DICTIONARY_VALUE_OUTPUT_CONDITION_IDENTIFIER_CUSTOM`
`static String` `PAGE_DICTIONARY_VALUE_THUMB`
`static String` `PATTERN_KEY_BBOX`
`static String` `PATTERN_KEY_PAINT_TYPE`
`static String` `PATTERN_KEY_SHADING`
`static String` `PATTERN_KEY_SHADING_TYPE`
`static String` `PATTERN_KEY_TILING_TYPE`
`static String` `PATTERN_KEY_XSTEP`
`static String` `PATTERN_KEY_YSTEP`
`static String` `RENDERING_INTENT_ABS_COLOR`
`static String` `RENDERING_INTENT_PERCEPTUAL`
`static String` `RENDERING_INTENT_REL_COLOR`
`static String` `RENDERING_INTENT_SATURATION`
`static String` `STREAM_DICTIONARY_KEY_DECODEPARAMS`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_ASCII_85`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_ASCII_HEX`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_CCITTFF`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_DCT`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_FLATE_DECODE`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_JBIG`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_LZW`
`static String` `STREAM_DICTIONARY_VALUE_FILTER_RUN`
`static String` `TRAILER_DICTIONARY_KEY_ENCRYPT`
`static String` `TRAILER_DICTIONARY_KEY_ID`
`static String` `TRAILER_DICTIONARY_KEY_INFO`
`static String` `TRAILER_DICTIONARY_KEY_PREV`
`static String` `TRAILER_DICTIONARY_KEY_ROOT`
`static String` `TRAILER_DICTIONARY_KEY_SIZE`
`static String` `TRANSPARENCY_DICTIONARY_KEY_BLEND_MODE`
`static String` `TRANSPARENCY_DICTIONARY_KEY_EXTGSTATE`
`static String` `TRANSPARENCY_DICTIONARY_KEY_EXTGSTATE_ENTRY_REGEX`
`static String` `TRANSPARENCY_DICTIONARY_KEY_LOWER_CA`
`static String` `TRANSPARENCY_DICTIONARY_KEY_UPPER_CA`
`static String` `TRANSPARENCY_DICTIONARY_VALUE_BM_COMPATIBLE`
`static String` `TRANSPARENCY_DICTIONARY_VALUE_BM_NORMAL`
`static String` `TRANSPARENCY_DICTIONARY_VALUE_SOFT_MASK_NONE`
`static String` `XOBJECT_DICTIONARY_KEY_BBOX`
`static String` `XOBJECT_DICTIONARY_KEY_GROUP`
`static String` `XOBJECT_DICTIONARY_VALUE_S_TRANSPARENCY`
`static String` `XOBJECT_DICTIONARY_VALUE_SUBTYPE_FORM`
`static String` `XOBJECT_DICTIONARY_VALUE_SUBTYPE_IMG`
`static String` `XOBJECT_DICTIONARY_VALUE_SUBTYPE_POSTSCRIPT`

### Field Detail

#### FORMAT_PDF_A1B

    static final String FORMAT_PDF_A1B

See Also:
  Constant Field Values

#### FORMAT_PDF_A1A

    static final String FORMAT_PDF_A1A

See Also:
  Constant Field Values

#### EDOC_TOKEN_MGR_ERROR

    static final int EDOC_TOKEN_MGR_ERROR

See Also:
  Constant Field Values

#### EDOC_TOKEN_MGR_ERROR_TAG

    static final String EDOC_TOKEN_MGR_ERROR_TAG

See Also:
  Constant Field Values

#### MAX_DICT_ENTRIES

    static final int MAX_DICT_ENTRIES

See Also:
  Constant Field Values

#### MAX_ARRAY_ELEMENTS

    static final int MAX_ARRAY_ELEMENTS

See Also:
  Constant Field Values

#### MAX_NAME_SIZE

    static final int MAX_NAME_SIZE

See Also:
  Constant Field Values

#### MAX_STRING_LENGTH

    static final int MAX_STRING_LENGTH

See Also:
  Constant Field Values

#### MAX_INDIRECT_OBJ

    static final int MAX_INDIRECT_OBJ

See Also:
  Constant Field Values

#### MAX_CID

    static final int MAX_CID

See Also:
  Constant Field Values

#### MAX_GRAPHIC_STATES

    static final int MAX_GRAPHIC_STATES

See Also:
  Constant Field Values

#### MAX_DEVICE_N_LIMIT

    static final int MAX_DEVICE_N_LIMIT

See Also:
  Constant Field Values

#### MAX_POSITIVE_FLOAT

    static final float MAX_POSITIVE_FLOAT

See Also:
  Constant Field Values

#### MAX_NEGATIVE_FLOAT

    static final float MAX_NEGATIVE_FLOAT

See Also:
  Constant Field Values

#### TRAILER_DICTIONARY_KEY_ID

    static final String TRAILER_DICTIONARY_KEY_ID

See Also:
  Constant Field Values

#### TRAILER_DICTIONARY_KEY_SIZE

    static final String TRAILER_DICTIONARY_KEY_SIZE

See Also:
  Constant Field Values

#### TRAILER_DICTIONARY_KEY_PREV

    static final String TRAILER_DICTIONARY_KEY_PREV

See Also:
  Constant Field Values

#### TRAILER_DICTIONARY_KEY_ROOT

    static final String TRAILER_DICTIONARY_KEY_ROOT

See Also:
  Constant Field Values

#### TRAILER_DICTIONARY_KEY_INFO

    static final String TRAILER_DICTIONARY_KEY_INFO

See Also:
  Constant Field Values

#### TRAILER_DICTIONARY_KEY_ENCRYPT

    static final String TRAILER_DICTIONARY_KEY_ENCRYPT

See Also:
  Constant Field Values

#### DICTIONARY_KEY_ADDITIONAL_ACTION

    static final String DICTIONARY_KEY_ADDITIONAL_ACTION

See Also:
  Constant Field Values

#### DICTIONARY_KEY_OPEN_ACTION

    static final String DICTIONARY_KEY_OPEN_ACTION

See Also:
  Constant Field Values

#### DOCUMENT_DICTIONARY_KEY_OUTPUT_INTENTS

    static final String DOCUMENT_DICTIONARY_KEY_OUTPUT_INTENTS

See Also:
  Constant Field Values

#### DOCUMENT_DICTIONARY_KEY_OPTIONAL_CONTENTS

    static final String DOCUMENT_DICTIONARY_KEY_OPTIONAL_CONTENTS

See Also:
  Constant Field Values

#### OUTPUT_INTENT_DICTIONARY_KEY_S

    static final String OUTPUT_INTENT_DICTIONARY_KEY_S

See Also:
  Constant Field Values

#### OUTPUT_INTENT_DICTIONARY_KEY_INFO

    static final String OUTPUT_INTENT_DICTIONARY_KEY_INFO

See Also:
  Constant Field Values

#### OUTPUT_INTENT_DICTIONARY_VALUE_GTS_PDFA1

    static final String OUTPUT_INTENT_DICTIONARY_VALUE_GTS_PDFA1

See Also:
  Constant Field Values

#### OUTPUT_INTENT_DICTIONARY_KEY_DEST_OUTPUT_PROFILE

    static final String OUTPUT_INTENT_DICTIONARY_KEY_DEST_OUTPUT_PROFILE

See Also:
  Constant Field Values

#### OUTPUT_INTENT_DICTIONARY_KEY_OUTPUT_CONDITION_IDENTIFIER

    static final String OUTPUT_INTENT_DICTIONARY_KEY_OUTPUT_CONDITION_IDENTIFIER

See Also:
  Constant Field Values

#### OUTPUT_INTENT_DICTIONARY_VALUE_OUTPUT_CONDITION_IDENTIFIER_CUSTOM

    static final String OUTPUT_INTENT_DICTIONARY_VALUE_OUTPUT_CONDITION_IDENTIFIER_CUSTOM

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_KEY_EXTGSTATE

    static final String TRANSPARENCY_DICTIONARY_KEY_EXTGSTATE

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_KEY_EXTGSTATE_ENTRY_REGEX

    static final String TRANSPARENCY_DICTIONARY_KEY_EXTGSTATE_ENTRY_REGEX

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_KEY_BLEND_MODE

    static final String TRANSPARENCY_DICTIONARY_KEY_BLEND_MODE

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_KEY_UPPER_CA

    static final String TRANSPARENCY_DICTIONARY_KEY_UPPER_CA

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_KEY_LOWER_CA

    static final String TRANSPARENCY_DICTIONARY_KEY_LOWER_CA

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_VALUE_SOFT_MASK_NONE

    static final String TRANSPARENCY_DICTIONARY_VALUE_SOFT_MASK_NONE

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_VALUE_BM_NORMAL

    static final String TRANSPARENCY_DICTIONARY_VALUE_BM_NORMAL

See Also:
  Constant Field Values

#### TRANSPARENCY_DICTIONARY_VALUE_BM_COMPATIBLE

    static final String TRANSPARENCY_DICTIONARY_VALUE_BM_COMPATIBLE

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED

    static final String DICTIONARY_KEY_LINEARIZED

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED_L

    static final String DICTIONARY_KEY_LINEARIZED_L

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED_H

    static final String DICTIONARY_KEY_LINEARIZED_H

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED_O

    static final String DICTIONARY_KEY_LINEARIZED_O

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED_E

    static final String DICTIONARY_KEY_LINEARIZED_E

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED_N

    static final String DICTIONARY_KEY_LINEARIZED_N

See Also:
  Constant Field Values

#### DICTIONARY_KEY_LINEARIZED_T

    static final String DICTIONARY_KEY_LINEARIZED_T

See Also:
  Constant Field Values

#### DICTIONARY_KEY_XOBJECT

    static final String DICTIONARY_KEY_XOBJECT

See Also:
  Constant Field Values

#### DICTIONARY_KEY_PATTERN

    static final String DICTIONARY_KEY_PATTERN

See Also:
  Constant Field Values

#### DICTIONARY_KEY_PATTERN_TYPE

    static final String DICTIONARY_KEY_PATTERN_TYPE

See Also:
  Constant Field Values

#### DICTIONARY_PATTERN_TILING

    static final int DICTIONARY_PATTERN_TILING

See Also:
  Constant Field Values

#### DICTIONARY_PATTERN_SHADING

    static final int DICTIONARY_PATTERN_SHADING

See Also:
  Constant Field Values

#### PATTERN_KEY_PAINT_TYPE

    static final String PATTERN_KEY_PAINT_TYPE

See Also:
  Constant Field Values

#### PATTERN_KEY_TILING_TYPE

    static final String PATTERN_KEY_TILING_TYPE

See Also:
  Constant Field Values

#### PATTERN_KEY_BBOX

    static final String PATTERN_KEY_BBOX

See Also:
  Constant Field Values

#### PATTERN_KEY_XSTEP

    static final String PATTERN_KEY_XSTEP

See Also:
  Constant Field Values

#### PATTERN_KEY_YSTEP

    static final String PATTERN_KEY_YSTEP

See Also:
  Constant Field Values

#### PATTERN_KEY_SHADING

    static final String PATTERN_KEY_SHADING

See Also:
  Constant Field Values

#### PATTERN_KEY_SHADING_TYPE

    static final String PATTERN_KEY_SHADING_TYPE

See Also:
  Constant Field Values

#### XOBJECT_DICTIONARY_VALUE_SUBTYPE_IMG

    static final String XOBJECT_DICTIONARY_VALUE_SUBTYPE_IMG

See Also:
  Constant Field Values

#### XOBJECT_DICTIONARY_VALUE_SUBTYPE_FORM

    static final String XOBJECT_DICTIONARY_VALUE_SUBTYPE_FORM

See Also:
  Constant Field Values

#### XOBJECT_DICTIONARY_VALUE_SUBTYPE_POSTSCRIPT

    static final String XOBJECT_DICTIONARY_VALUE_SUBTYPE_POSTSCRIPT

See Also:
  Constant Field Values

#### XOBJECT_DICTIONARY_KEY_BBOX

    static final String XOBJECT_DICTIONARY_KEY_BBOX

See Also:
  Constant Field Values

#### XOBJECT_DICTIONARY_KEY_GROUP

    static final String XOBJECT_DICTIONARY_KEY_GROUP

See Also:
  Constant Field Values

#### XOBJECT_DICTIONARY_VALUE_S_TRANSPARENCY

    static final String XOBJECT_DICTIONARY_VALUE_S_TRANSPARENCY

See Also:
  Constant Field Values

#### PAGE_DICTIONARY_VALUE_THUMB

    static final String PAGE_DICTIONARY_VALUE_THUMB

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_FONT

    static final String FONT_DICTIONARY_VALUE_FONT

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_COMPOSITE

    static final String FONT_DICTIONARY_VALUE_COMPOSITE

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TRUETYPE

    static final String FONT_DICTIONARY_VALUE_TRUETYPE

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE1

    static final String FONT_DICTIONARY_VALUE_TYPE1

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE1C

    static final String FONT_DICTIONARY_VALUE_TYPE1C

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_MMTYPE

    static final String FONT_DICTIONARY_VALUE_MMTYPE

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE3

    static final String FONT_DICTIONARY_VALUE_TYPE3

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE0

    static final String FONT_DICTIONARY_VALUE_TYPE0

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE0C

    static final String FONT_DICTIONARY_VALUE_TYPE0C

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE2

    static final String FONT_DICTIONARY_VALUE_TYPE2

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_ENCODING_MAC

    static final String FONT_DICTIONARY_VALUE_ENCODING_MAC

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_ENCODING_MAC_EXP

    static final String FONT_DICTIONARY_VALUE_ENCODING_MAC_EXP

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_ENCODING_WIN

    static final String FONT_DICTIONARY_VALUE_ENCODING_WIN

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_ENCODING_STD

    static final String FONT_DICTIONARY_VALUE_ENCODING_STD

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_ENCODING_PDFDOC

    static final String FONT_DICTIONARY_VALUE_ENCODING_PDFDOC

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_ENCODING

    static final String FONT_DICTIONARY_VALUE_ENCODING

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_CMAP_IDENTITY_H

    static final String FONT_DICTIONARY_VALUE_CMAP_IDENTITY_H

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_CMAP_IDENTITY_V

    static final String FONT_DICTIONARY_VALUE_CMAP_IDENTITY_V

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_CMAP_IDENTITY

    static final String FONT_DICTIONARY_VALUE_CMAP_IDENTITY

See Also:
  Constant Field Values

#### FONT_DICTIONARY_VALUE_TYPE_CMAP

    static final String FONT_DICTIONARY_VALUE_TYPE_CMAP

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_NAME

    static final String FONT_DICTIONARY_KEY_NAME

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_BASEFONT

    static final String FONT_DICTIONARY_KEY_BASEFONT

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_FIRSTCHAR

    static final String FONT_DICTIONARY_KEY_FIRSTCHAR

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_LASTCHAR

    static final String FONT_DICTIONARY_KEY_LASTCHAR

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_WIDTHS

    static final String FONT_DICTIONARY_KEY_WIDTHS

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_FONT_DESC

    static final String FONT_DICTIONARY_KEY_FONT_DESC

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_ENCODING

    static final String FONT_DICTIONARY_KEY_ENCODING

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_TOUNICODE

    static final String FONT_DICTIONARY_KEY_TOUNICODE

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_FONTNAME

    static final String FONT_DICTIONARY_KEY_FONTNAME

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_FLAGS

    static final String FONT_DICTIONARY_KEY_FLAGS

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_ITALICANGLE

    static final String FONT_DICTIONARY_KEY_ITALICANGLE

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_FONTBBOX

    static final String FONT_DICTIONARY_KEY_FONTBBOX

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_FONTMATRIX

    static final String FONT_DICTIONARY_KEY_FONTMATRIX

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CHARPROCS

    static final String FONT_DICTIONARY_KEY_CHARPROCS

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_ASCENT

    static final String FONT_DICTIONARY_KEY_ASCENT

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_DESCENT

    static final String FONT_DICTIONARY_KEY_DESCENT

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CAPHEIGHT

    static final String FONT_DICTIONARY_KEY_CAPHEIGHT

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_STEMV

    static final String FONT_DICTIONARY_KEY_STEMV

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_LENGTH2

    static final String FONT_DICTIONARY_KEY_LENGTH2

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_LENGTH3

    static final String FONT_DICTIONARY_KEY_LENGTH3

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_METADATA

    static final String FONT_DICTIONARY_KEY_METADATA

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_BASEENCODING

    static final String FONT_DICTIONARY_KEY_BASEENCODING

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_DESCENDANT_FONTS

    static final String FONT_DICTIONARY_KEY_DESCENDANT_FONTS

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CID_GIDMAP

    static final String FONT_DICTIONARY_KEY_CID_GIDMAP

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CMAP_NAME

    static final String FONT_DICTIONARY_KEY_CMAP_NAME

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CMAP_WMODE

    static final String FONT_DICTIONARY_KEY_CMAP_WMODE

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CMAP_USECMAP

    static final String FONT_DICTIONARY_KEY_CMAP_USECMAP

See Also:
  Constant Field Values

#### FONT_DICTIONARY_KEY_CIDSET

    static final String FONT_DICTIONARY_KEY_CIDSET

See Also:
  Constant Field Values

#### FONT_DICTIONARY_DEFAULT_CMAP_WMODE

    static final int FONT_DICTIONARY_DEFAULT_CMAP_WMODE

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_KEY_DECODEPARAMS

    static final String STREAM_DICTIONARY_KEY_DECODEPARAMS

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_LZW

    static final String STREAM_DICTIONARY_VALUE_FILTER_LZW

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_ASCII_HEX

    static final String STREAM_DICTIONARY_VALUE_FILTER_ASCII_HEX

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_ASCII_85

    static final String STREAM_DICTIONARY_VALUE_FILTER_ASCII_85

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_RUN

    static final String STREAM_DICTIONARY_VALUE_FILTER_RUN

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_CCITTFF

    static final String STREAM_DICTIONARY_VALUE_FILTER_CCITTFF

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_JBIG

    static final String STREAM_DICTIONARY_VALUE_FILTER_JBIG

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_DCT

    static final String STREAM_DICTIONARY_VALUE_FILTER_DCT

See Also:
  Constant Field Values

#### STREAM_DICTIONARY_VALUE_FILTER_FLATE_DECODE

    static final String STREAM_DICTIONARY_VALUE_FILTER_FLATE_DECODE

See Also:
  Constant Field Values

#### FILE_SPECIFICATION_VALUE_TYPE

    static final String FILE_SPECIFICATION_VALUE_TYPE

See Also:
  Constant Field Values

#### FILE_SPECIFICATION_KEY_EMBEDDED_FILE

    static final String FILE_SPECIFICATION_KEY_EMBEDDED_FILE

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_LZW

    static final String INLINE_DICTIONARY_VALUE_FILTER_LZW

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_ASCII_HEX

    static final String INLINE_DICTIONARY_VALUE_FILTER_ASCII_HEX

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_ASCII_85

    static final String INLINE_DICTIONARY_VALUE_FILTER_ASCII_85

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_RUN

    static final String INLINE_DICTIONARY_VALUE_FILTER_RUN

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_CCITTFF

    static final String INLINE_DICTIONARY_VALUE_FILTER_CCITTFF

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_DCT

    static final String INLINE_DICTIONARY_VALUE_FILTER_DCT

See Also:
  Constant Field Values

#### INLINE_DICTIONARY_VALUE_FILTER_FLATE_DECODE

    static final String INLINE_DICTIONARY_VALUE_FILTER_FLATE_DECODE

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_KEY_QUADPOINTS

    static final String ANNOT_DICTIONARY_KEY_QUADPOINTS

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_KEY_INKLIST

    static final String ANNOT_DICTIONARY_KEY_INKLIST

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_TYPE

    static final String ANNOT_DICTIONARY_VALUE_TYPE

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_TEXT

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_TEXT

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_LINK

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_LINK

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_FREETEXT

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_FREETEXT

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_LINE

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_LINE

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_SQUARE

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_SQUARE

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_CIRCLE

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_CIRCLE

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_HIGHLIGHT

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_HIGHLIGHT

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_UNDERLINE

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_UNDERLINE

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_SQUILGGLY

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_SQUILGGLY

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_STRIKEOUT

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_STRIKEOUT

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_STAMP

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_STAMP

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_INK

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_INK

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_POPUP

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_POPUP

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_WIDGET

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_WIDGET

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_PRINTERMARK

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_PRINTERMARK

See Also:
  Constant Field Values

#### ANNOT_DICTIONARY_VALUE_SUBTYPE_TRAPNET

    static final String ANNOT_DICTIONARY_VALUE_SUBTYPE_TRAPNET

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_TYPE

    static final String ACTION_DICTIONARY_VALUE_TYPE

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_KEY_NEXT

    static final String ACTION_DICTIONARY_KEY_NEXT

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_GOTO

    static final String ACTION_DICTIONARY_VALUE_ATYPE_GOTO

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_GOTOR

    static final String ACTION_DICTIONARY_VALUE_ATYPE_GOTOR

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_THREAD

    static final String ACTION_DICTIONARY_VALUE_ATYPE_THREAD

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_URI

    static final String ACTION_DICTIONARY_VALUE_ATYPE_URI

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_HIDE

    static final String ACTION_DICTIONARY_VALUE_ATYPE_HIDE

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_NAMED

    static final String ACTION_DICTIONARY_VALUE_ATYPE_NAMED

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_SUBMIT

    static final String ACTION_DICTIONARY_VALUE_ATYPE_SUBMIT

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_LAUNCH

    static final String ACTION_DICTIONARY_VALUE_ATYPE_LAUNCH

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_SOUND

    static final String ACTION_DICTIONARY_VALUE_ATYPE_SOUND

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_MOVIE

    static final String ACTION_DICTIONARY_VALUE_ATYPE_MOVIE

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_RESET

    static final String ACTION_DICTIONARY_VALUE_ATYPE_RESET

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_IMPORT

    static final String ACTION_DICTIONARY_VALUE_ATYPE_IMPORT

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_JAVASCRIPT

    static final String ACTION_DICTIONARY_VALUE_ATYPE_JAVASCRIPT

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_SETSTATE

    static final String ACTION_DICTIONARY_VALUE_ATYPE_SETSTATE

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_NOOP

    static final String ACTION_DICTIONARY_VALUE_ATYPE_NOOP

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_NAMED_NEXT

    static final String ACTION_DICTIONARY_VALUE_ATYPE_NAMED_NEXT

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_NAMED_PREV

    static final String ACTION_DICTIONARY_VALUE_ATYPE_NAMED_PREV

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_NAMED_FIRST

    static final String ACTION_DICTIONARY_VALUE_ATYPE_NAMED_FIRST

See Also:
  Constant Field Values

#### ACTION_DICTIONARY_VALUE_ATYPE_NAMED_LAST

    static final String ACTION_DICTIONARY_VALUE_ATYPE_NAMED_LAST

See Also:
  Constant Field Values

#### ACROFORM_DICTIONARY_KEY_NEED_APPEARANCES

    static final String ACROFORM_DICTIONARY_KEY_NEED_APPEARANCES

See Also:
  Constant Field Values

#### RENDERING_INTENT_REL_COLOR

    static final String RENDERING_INTENT_REL_COLOR

See Also:
  Constant Field Values

#### RENDERING_INTENT_ABS_COLOR

    static final String RENDERING_INTENT_ABS_COLOR

See Also:
  Constant Field Values

#### RENDERING_INTENT_PERCEPTUAL

    static final String RENDERING_INTENT_PERCEPTUAL

See Also:
  Constant Field Values

#### RENDERING_INTENT_SATURATION

    static final String RENDERING_INTENT_SATURATION

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA43

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA43

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_006

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_006

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR006

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR006

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA39

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA39

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_JC200103

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_JC200103

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA27

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA27

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_EUROSB104

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_EUROSB104

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA45

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA45

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA46

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA46

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA41

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA41

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_001

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_001

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR001

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR001

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_003

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_003

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR003

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR003

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_005

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_005

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR005

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR005

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA28

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA28

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_JCW2003

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_JCW2003

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_EUROSB204

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_EUROSB204

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA47

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA47

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA44

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA44

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA29

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA29

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_JC200104

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_JC200104

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA40

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA40

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA30

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA30

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA42

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA42

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_IFRA26

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_IFRA26

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_JCN2002

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_JCN2002

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_002

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR_002

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR002

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_CGATS_TR002

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA33

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA33

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA37

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA37

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA31

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA31

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA35

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA35

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA32

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA32

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA34

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA34

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA36

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA36

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA38

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_FOGRA38

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_sRGB

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_sRGB

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_sRGB_IEC

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_sRGB_IEC

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_Adobe

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_Adobe

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_bg_sRGB

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_bg_sRGB

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_sYCC

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_sYCC

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_scRGB

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_scRGB

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_scRGB_nl

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_scRGB_nl

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_scYCC_nl

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_scYCC_nl

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_ROMM

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_ROMM

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_RIMM

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_RIMM

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_ERIMM

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_ERIMM

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_eciRGB

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_eciRGB

See Also:
  Constant Field Values

#### ICC_CHARACTERIZATION_DATA_REGISTRY_opRGB

    static final String ICC_CHARACTERIZATION_DATA_REGISTRY_opRGB

See Also:
  Constant Field Values

#### ERROR_UNKOWN_ERROR

    static final String ERROR_UNKOWN_ERROR

Error code uses by the Validator when there is an error without error code.

See Also:
  Constant Field Values

#### ERROR_SYNTAX_MAIN

    static final String ERROR_SYNTAX_MAIN

Error code for syntax error

See Also:
  Constant Field Values

#### ERROR_SYNTAX_COMMON

    static final String ERROR_SYNTAX_COMMON

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TOO_MANY_ENTRIES

    static final String ERROR_SYNTAX_TOO_MANY_ENTRIES

Too many entries in a dictionary object

See Also:
  Constant Field Values

#### ERROR_SYNTAX_ARRAY_TOO_LONG

    static final String ERROR_SYNTAX_ARRAY_TOO_LONG

Too many element in an array object

See Also:
  Constant Field Values

#### ERROR_SYNTAX_NAME_TOO_LONG

    static final String ERROR_SYNTAX_NAME_TOO_LONG

The name length is too long

See Also:
  Constant Field Values

#### ERROR_SYNTAX_LITERAL_TOO_LONG

    static final String ERROR_SYNTAX_LITERAL_TOO_LONG

The literal string is too long

See Also:
  Constant Field Values

#### ERROR_SYNTAX_HEXA_STRING_TOO_LONG

    static final String ERROR_SYNTAX_HEXA_STRING_TOO_LONG

The hexa string is too long

See Also:
  Constant Field Values

#### ERROR_SYNTAX_NUMERIC_RANGE

    static final String ERROR_SYNTAX_NUMERIC_RANGE

The number is out of Range ( ex : greater than 2^31-1)

See Also:
  Constant Field Values

#### ERROR_SYNTAX_DICTIONARY_KEY_INVALID

    static final String ERROR_SYNTAX_DICTIONARY_KEY_INVALID

A dictionary key isn't a name

See Also:
  Constant Field Values

#### ERROR_SYNTAX_LANG_NOT_RFC1766

    static final String ERROR_SYNTAX_LANG_NOT_RFC1766

The language declared doesn't match with the RFC1766

See Also:
  Constant Field Values

#### ERROR_SYNTAX_INDIRECT_OBJ_RANGE

    static final String ERROR_SYNTAX_INDIRECT_OBJ_RANGE

There are too many objects

See Also:
  Constant Field Values

#### ERROR_SYNTAX_CID_RANGE

    static final String ERROR_SYNTAX_CID_RANGE

CID too long

See Also:
  Constant Field Values

#### ERROR_SYNTAX_HEXA_STRING_EVEN_NUMBER

    static final String ERROR_SYNTAX_HEXA_STRING_EVEN_NUMBER

Hexa string shall contain even number of non white space char

See Also:
  Constant Field Values

#### ERROR_SYNTAX_HEXA_STRING_INVALID

    static final String ERROR_SYNTAX_HEXA_STRING_INVALID

Hexa string contain non hexadecimal characters

See Also:
  Constant Field Values

#### ERROR_SYNTAX_MISSING_OFFSET

    static final String ERROR_SYNTAX_MISSING_OFFSET

An object is missing from the document

See Also:
  Constant Field Values

#### ERROR_SYNTAX_INVALID_OFFSET

    static final String ERROR_SYNTAX_INVALID_OFFSET

An object has an invalid offset

See Also:
  Constant Field Values

#### ERROR_SYNTAX_HEADER

    static final String ERROR_SYNTAX_HEADER

See Also:
  Constant Field Values

#### ERROR_SYNTAX_HEADER_FIRST_CHAR

    static final String ERROR_SYNTAX_HEADER_FIRST_CHAR

See Also:
  Constant Field Values

#### ERROR_SYNTAX_HEADER_FILE_TYPE

    static final String ERROR_SYNTAX_HEADER_FILE_TYPE

See Also:
  Constant Field Values

#### ERROR_SYNTAX_BODY

    static final String ERROR_SYNTAX_BODY

Common error about body syntax

See Also:
  Constant Field Values

#### ERROR_SYNTAX_OBJ_DELIMITER

    static final String ERROR_SYNTAX_OBJ_DELIMITER

Error on the object delimiters (obj / endobj)

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_DELIMITER

    static final String ERROR_SYNTAX_STREAM_DELIMITER

Error on the stream delimiters (stream / endstream)

See Also:
  Constant Field Values

#### ERROR_SYNTAX_DICT_INVALID

    static final String ERROR_SYNTAX_DICT_INVALID

Required fields are missing from the dictionary

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_LENGTH_MISSING

    static final String ERROR_SYNTAX_STREAM_LENGTH_MISSING

The length entry is missing from the stream dictionary

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_LENGTH_INVALID

    static final String ERROR_SYNTAX_STREAM_LENGTH_INVALID

The length of the stream dictionary and the stream length is inconsistent

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_FX_KEYS

    static final String ERROR_SYNTAX_STREAM_FX_KEYS

F or/and FFilter or/and FDecodeParms are present in a stream dictionary

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_INVALID_FILTER

    static final String ERROR_SYNTAX_STREAM_INVALID_FILTER

The stream uses an invalid filter (The LZW)

See Also:
  Constant Field Values

#### ERROR_SYNTAX_CONTENT_STREAM_INVALID

    static final String ERROR_SYNTAX_CONTENT_STREAM_INVALID

The content stream has some syntax errors

See Also:
  Constant Field Values

#### ERROR_SYNTAX_EMBEDDED_FILES

    static final String ERROR_SYNTAX_EMBEDDED_FILES

EmbeddedFile entry is present in a FileSpecification dictionary

See Also:
  Constant Field Values

#### ERROR_SYNTAX_CONTENT_STREAM_UNSUPPORTED_OP

    static final String ERROR_SYNTAX_CONTENT_STREAM_UNSUPPORTED_OP

The content stream uses an unsupported operator

See Also:
  Constant Field Values

#### ERROR_SYNTAX_CONTENT_STREAM_INVALID_ARGUMENT

    static final String ERROR_SYNTAX_CONTENT_STREAM_INVALID_ARGUMENT

The content stream contains an invalid argument for the operator

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_UNDEFINED_FILTER

    static final String ERROR_SYNTAX_STREAM_UNDEFINED_FILTER

The stream uses a filter which isn't defined in the PDF Reference document.

See Also:
  Constant Field Values

#### ERROR_SYNTAX_STREAM_DAMAGED

    static final String ERROR_SYNTAX_STREAM_DAMAGED

The stream can't be processed

See Also:
  Constant Field Values

#### ERROR_SYNTAX_NOCATALOG

    static final String ERROR_SYNTAX_NOCATALOG

There are no catalog dictionary in the PDF File

See Also:
  Constant Field Values

#### ERROR_SYNTAX_CROSS_REF

    static final String ERROR_SYNTAX_CROSS_REF

Common error about the cross ref table

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER

    static final String ERROR_SYNTAX_TRAILER

Common error about the trailer

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_MISSING_ID

    static final String ERROR_SYNTAX_TRAILER_MISSING_ID

ID is missing from the trailer

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_ENCRYPT

    static final String ERROR_SYNTAX_TRAILER_ENCRYPT

Encrypt is forbidden

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_TYPE_INVALID

    static final String ERROR_SYNTAX_TRAILER_TYPE_INVALID

An trailer entry has an invalid type

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_MISSING_SIZE

    static final String ERROR_SYNTAX_TRAILER_MISSING_SIZE

Size is missing from the trailer

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_MISSING_ROOT

    static final String ERROR_SYNTAX_TRAILER_MISSING_ROOT

Root is missing from the trailer

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_ID_CONSISTENCY

    static final String ERROR_SYNTAX_TRAILER_ID_CONSISTENCY

ID in 1st trailer and the last is different

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_CATALOG_EMBEDDEDFILES

    static final String ERROR_SYNTAX_TRAILER_CATALOG_EMBEDDEDFILES

EmbeddedFile entry is present in the Names dictionary

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_CATALOG_OCPROPERTIES

    static final String ERROR_SYNTAX_TRAILER_CATALOG_OCPROPERTIES

Optional content is forbidden

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_OUTLINES_INVALID

    static final String ERROR_SYNTAX_TRAILER_OUTLINES_INVALID

Errors in the Outlines dictionary

See Also:
  Constant Field Values

#### ERROR_SYNTAX_TRAILER_EOF

    static final String ERROR_SYNTAX_TRAILER_EOF

Last %%EOF sequence is followed by data

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_MAIN

    static final String ERROR_GRAPHIC_MAIN

Main error code for graphical problems

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID

    static final String ERROR_GRAPHIC_INVALID

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_BBOX

    static final String ERROR_GRAPHIC_INVALID_BBOX

BBox Entry of a Form XObject is missing or isn't an Array

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_OUTPUT_INTENT_INVALID_ENTRY

    static final String ERROR_GRAPHIC_OUTPUT_INTENT_INVALID_ENTRY

The OutputIntent dictionary is invalid

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_OUTPUT_INTENT_S_VALUE_INVALID

    static final String ERROR_GRAPHIC_OUTPUT_INTENT_S_VALUE_INVALID

The S entry of the OutputIntent isn't GTS_PDFA1

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_INVALID

    static final String ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_INVALID

The ICC Profile is invalid

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_MULTIPLE

    static final String ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_MULTIPLE

There are more than one ICC Profile

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_TOO_RECENT

    static final String ERROR_GRAPHIC_OUTPUT_INTENT_ICC_PROFILE_TOO_RECENT

Profile version is too recent for PDF 1.4 document

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_MISSING_FIELD

    static final String ERROR_GRAPHIC_MISSING_FIELD

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_TOO_MANY_GRAPHIC_STATES

    static final String ERROR_GRAPHIC_TOO_MANY_GRAPHIC_STATES

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_MISSING_OBJECT

    static final String ERROR_GRAPHIC_MISSING_OBJECT

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_XOBJECT_INVALID_TYPE

    static final String ERROR_GRAPHIC_XOBJECT_INVALID_TYPE

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_TRANSPARENCY

    static final String ERROR_GRAPHIC_TRANSPARENCY

Main error code for graphical transparency problems

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_TRANSPARENCY_GROUP

    static final String ERROR_GRAPHIC_TRANSPARENCY_GROUP

A Group entry with S = Transparency is used or the S = Null

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_TRANSPARENCY_SMASK

    static final String ERROR_GRAPHIC_TRANSPARENCY_SMASK

A XObject SMask value isn't None

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_UNEXPECTED_KEY

    static final String ERROR_GRAPHIC_UNEXPECTED_KEY

A XObject has an unexpected key defined

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_UNEXPECTED_VALUE_FOR_KEY

    static final String ERROR_GRAPHIC_UNEXPECTED_VALUE_FOR_KEY

A XObject has an unexpected value for a defined key

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE

An invalid color space is used

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_RGB

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_RGB

RGB color space used in the PDF file but the DestOutputProfile isn't RGB

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_CMYK

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_CMYK

CMYK color space used in the PDF file but the DestOutputProfile isn't CMYK

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_MISSING

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_MISSING

color space used in the PDF file but the DestOutputProfile is missing

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_UNKNOWN_COLOR_SPACE

    static final String ERROR_GRAPHIC_INVALID_UNKNOWN_COLOR_SPACE

Unknown ColorSpace

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_PATTERN_COLOR_SPACE_FORBIDDEN

    static final String ERROR_GRAPHIC_INVALID_PATTERN_COLOR_SPACE_FORBIDDEN

The pattern color space can't be used

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_PATTERN_DEFINITION

    static final String ERROR_GRAPHIC_INVALID_PATTERN_DEFINITION

The pattern is invalid due to missing key or invalid value

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_ALTERNATE

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_ALTERNATE

alternate color space used in the PDF file but the DestOutputProfile isn't consistent

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_INDEXED

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_INDEXED

Base ColorSpace in the Indexed color space is invalid

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_FORBIDDEN

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_FORBIDDEN

ColorSpace is forbidden due to some restriction (ex : Only DeviceXXX are auth in inlined image)

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_TOO_MANY_COMPONENTS_DEVICEN

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_TOO_MANY_COMPONENTS_DEVICEN

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_INVALID_COLOR_SPACE_ICCBASED

    static final String ERROR_GRAPHIC_INVALID_COLOR_SPACE_ICCBASED

ICC Based color space used in the PDF file is invalid

See Also:
  Constant Field Values

#### ERROR_GRAPHIC_MISSING_COLOR_SPACE_ICCBASED

    static final String ERROR_GRAPHIC_MISSING_COLOR_SPACE_ICCBASED

Validation asked on a missing ColorSpace

See Also:
  Constant Field Values

#### ERROR_FONTS_MAIN

    static final String ERROR_FONTS_MAIN

Main error code for font problems

See Also:
  Constant Field Values

#### ERROR_FONTS_INVALID_DATA

    static final String ERROR_FONTS_INVALID_DATA

See Also:
  Constant Field Values

#### ERROR_FONTS_DICTIONARY_INVALID

    static final String ERROR_FONTS_DICTIONARY_INVALID

Some mandatory fields are missing from the FONT Dictionary

See Also:
  Constant Field Values

#### ERROR_FONTS_DESCRIPTOR_INVALID

    static final String ERROR_FONTS_DESCRIPTOR_INVALID

Some mandatory fields are missing from the FONT Descriptor Dictionary

See Also:
  Constant Field Values

#### ERROR_FONTS_FONT_FILEX_INVALID

    static final String ERROR_FONTS_FONT_FILEX_INVALID

Error on the "Font File x" in the Font Descriptor (ex : FontFile and FontFile2 are present in the same dictionary)

See Also:
  Constant Field Values

#### ERROR_FONTS_CHARSET_MISSING_FOR_SUBSET

    static final String ERROR_FONTS_CHARSET_MISSING_FOR_SUBSET

Charset declaration is missing in a Type 1 Subset

See Also:
  Constant Field Values

#### ERROR_FONTS_ENCODING

    static final String ERROR_FONTS_ENCODING

Encoding is inconsistent with the Font (ex : Symbolic TrueType mustn't declare encoding)

See Also:
  Constant Field Values

#### ERROR_FONTS_METRICS

    static final String ERROR_FONTS_METRICS

Width array and Font program Width are inconsistent

See Also:
  Constant Field Values

#### ERROR_FONTS_CIDKEYED_INVALID

    static final String ERROR_FONTS_CIDKEYED_INVALID

Required entry in a Composite Font dictionary is missing

See Also:
  Constant Field Values

#### ERROR_FONTS_CIDKEYED_SYSINFO

    static final String ERROR_FONTS_CIDKEYED_SYSINFO

The CIDSystemInfo dictionary is invalid

See Also:
  Constant Field Values

#### ERROR_FONTS_CIDKEYED_CIDTOGID

    static final String ERROR_FONTS_CIDKEYED_CIDTOGID

The CIDToGID is invalid

See Also:
  Constant Field Values

#### ERROR_FONTS_CIDKEYED_CMAP_INVALID_OR_MISSING

    static final String ERROR_FONTS_CIDKEYED_CMAP_INVALID_OR_MISSING

The CMap of the Composite Font is missing or invalid

See Also:
  Constant Field Values

#### ERROR_FONTS_CIDSET_MISSING_FOR_SUBSET

    static final String ERROR_FONTS_CIDSET_MISSING_FOR_SUBSET

The CIDSet entry i mandatory from a subset of composite font

See Also:
  Constant Field Values

#### ERROR_FONTS_ENCODING_ERROR

    static final String ERROR_FONTS_ENCODING_ERROR

The CMap of the Composite Font is missing or invalid

See Also:
  Constant Field Values

#### ERROR_FONTS_ENCODING_IO

    static final String ERROR_FONTS_ENCODING_IO

Encoding entry can't be read due to IOException

See Also:
  Constant Field Values

#### ERROR_FONTS_UNKNOWN_FONT_TYPE

    static final String ERROR_FONTS_UNKNOWN_FONT_TYPE

The font type is unknown

See Also:
  Constant Field Values

#### ERROR_FONTS_DAMAGED

    static final String ERROR_FONTS_DAMAGED

The embedded font is damaged

See Also:
  Constant Field Values

#### ERROR_FONTS_TYPE1_DAMAGED

    static final String ERROR_FONTS_TYPE1_DAMAGED

The embedded Type1 font is damaged

See Also:
  Constant Field Values

#### ERROR_FONTS_TRUETYPE_DAMAGED

    static final String ERROR_FONTS_TRUETYPE_DAMAGED

The embedded TrueType font is damaged

See Also:
  Constant Field Values

#### ERROR_FONTS_CID_DAMAGED

    static final String ERROR_FONTS_CID_DAMAGED

The embedded composite font is damaged

See Also:
  Constant Field Values

#### ERROR_FONTS_TYPE3_DAMAGED

    static final String ERROR_FONTS_TYPE3_DAMAGED

The embedded type 3 font is damaged

See Also:
  Constant Field Values

#### ERROR_FONTS_CID_CMAP_DAMAGED

    static final String ERROR_FONTS_CID_CMAP_DAMAGED

The embedded CID Map is damaged

See Also:
  Constant Field Values

#### ERROR_FONTS_GLYPH

    static final String ERROR_FONTS_GLYPH

Common error for a Glyph problem

See Also:
  Constant Field Values

#### ERROR_FONTS_GLYPH_MISSING

    static final String ERROR_FONTS_GLYPH_MISSING

a glyph is missing

See Also:
  Constant Field Values

#### ERROR_FONTS_UNKNOWN_FONT_REF

    static final String ERROR_FONTS_UNKNOWN_FONT_REF

a glyph is missing

See Also:
  Constant Field Values

#### ERROR_TRANSPARENCY_MAIN

    static final String ERROR_TRANSPARENCY_MAIN

See Also:
  Constant Field Values

#### ERROR_TRANSPARENCY_EXT_GRAPHICAL_STATE

    static final String ERROR_TRANSPARENCY_EXT_GRAPHICAL_STATE

Common transparency error

See Also:
  Constant Field Values

#### ERROR_TRANSPARENCY_EXT_GS_SOFT_MASK

    static final String ERROR_TRANSPARENCY_EXT_GS_SOFT_MASK

Soft mask entry is present but is forbidden

See Also:
  Constant Field Values

#### ERROR_TRANSPARENCY_EXT_GS_CA

    static final String ERROR_TRANSPARENCY_EXT_GS_CA

Ca or/and ca entry are present but the value isn't 1.0

See Also:
  Constant Field Values

#### ERROR_TRANSPARENCY_EXT_GS_BLEND_MODE

    static final String ERROR_TRANSPARENCY_EXT_GS_BLEND_MODE

BlendMode value isn't valid (only Normal and Compatible are authorized)

See Also:
  Constant Field Values

#### ERROR_ANNOT_MAIN

    static final String ERROR_ANNOT_MAIN

See Also:
  Constant Field Values

#### ERROR_ANNOT_MISSING_FIELDS

    static final String ERROR_ANNOT_MISSING_FIELDS

Common missing field error in annotation dictionary

See Also:
  Constant Field Values

#### ERROR_ANNOT_MISSING_SUBTYPE

    static final String ERROR_ANNOT_MISSING_SUBTYPE

The subtype entry is missing from the annotation dictionary

See Also:
  Constant Field Values

#### ERROR_ANNOT_MISSING_AP_N_CONTENT

    static final String ERROR_ANNOT_MISSING_AP_N_CONTENT

The AP dictionary of the annotation contains forbidden/invalid entries (only the N entry is authorized)

See Also:
  Constant Field Values

#### ERROR_ANNOT_MISSING_ANNOTATION_DICTIONARY

    static final String ERROR_ANNOT_MISSING_ANNOTATION_DICTIONARY

An annotation validation is required but there are no element to validate

See Also:
  Constant Field Values

#### ERROR_ANNOT_FORBIDDEN_ELEMENT

    static final String ERROR_ANNOT_FORBIDDEN_ELEMENT

Common forbidden field error in annotation dictionary

See Also:
  Constant Field Values

#### ERROR_ANNOT_FORBIDDEN_SUBTYPE

    static final String ERROR_ANNOT_FORBIDDEN_SUBTYPE

This type of annotation is forbidden (ex : Movie)

See Also:
  Constant Field Values

#### ERROR_ANNOT_FORBIDDEN_FLAG

    static final String ERROR_ANNOT_FORBIDDEN_FLAG

The annotation uses a flag which is forbidden.

See Also:
  Constant Field Values

#### ERROR_ANNOT_FORBIDDEN_COLOR

    static final String ERROR_ANNOT_FORBIDDEN_COLOR

Annotation uses a Color profile which isn't the same than the profile contained by the OutputIntent

See Also:
  Constant Field Values

#### ERROR_ANNOT_FORBIDDEN_DEST

    static final String ERROR_ANNOT_FORBIDDEN_DEST

Dest entry can't be used if the A element is used too

See Also:
  Constant Field Values

#### ERROR_ANNOT_FORBIDDEN_AA

    static final String ERROR_ANNOT_FORBIDDEN_AA

The AA field is forbidden for the Widget annotation when the PDF is a PDF/A

See Also:
  Constant Field Values

#### ERROR_ANNOT_NOT_RECOMMENDED_FLAG

    static final String ERROR_ANNOT_NOT_RECOMMENDED_FLAG

The annotation uses a flag which is not recommended but not forbidden by the ISO 19005-1:2005.

See Also:
  Constant Field Values

#### ERROR_ANNOT_CATALOG_FORBIDDEN_AA

    static final String ERROR_ANNOT_CATALOG_FORBIDDEN_AA

The AA field is forbidden for the Catalog when the PDF is a PDF/A

See Also:
  Constant Field Values

#### ERROR_ANNOT_INVALID_ELEMENT

    static final String ERROR_ANNOT_INVALID_ELEMENT

Common Invalid field error in annotation dictionary

See Also:
  Constant Field Values

#### ERROR_ANNOT_INVALID_AP_CONTENT

    static final String ERROR_ANNOT_INVALID_AP_CONTENT

The AP dictionary of the annotation contains forbidden/invalid entries (only the N entry is authorized)

See Also:
  Constant Field Values

#### ERROR_ANNOT_INVALID_CA

    static final String ERROR_ANNOT_INVALID_CA

Ca or/and ca entry are present but the value isn't 1.0

See Also:
  Constant Field Values

#### ERROR_ANNOT_INVALID_DEST

    static final String ERROR_ANNOT_INVALID_DEST

Dest entry of an annotation can't be checked due to an IO Exception

See Also:
  Constant Field Values

#### ERROR_ACTION_MAIN

    static final String ERROR_ACTION_MAIN

See Also:
  Constant Field Values

#### ERROR_ACTION_INVALID_ACTIONS

    static final String ERROR_ACTION_INVALID_ACTIONS

Common invalid action error

See Also:
  Constant Field Values

#### ERROR_ACTION_MISING_KEY

    static final String ERROR_ACTION_MISING_KEY

A mandatory entry in the action dictionary is missing

See Also:
  Constant Field Values

#### ERROR_ACTION_INVALID_TYPE

    static final String ERROR_ACTION_INVALID_TYPE

Some elements of the annotation dictionary have an invalid type (ex : array instead of Dictionary)

See Also:
  Constant Field Values

#### ERROR_ACTION_HIDE_H_INVALID

    static final String ERROR_ACTION_HIDE_H_INVALID

The H entry of a Hide action is set to true (so some annotation can be hide)

See Also:
  Constant Field Values

#### ERROR_ACTION_MISSING_ACTION_DICTIONARY

    static final String ERROR_ACTION_MISSING_ACTION_DICTIONARY

An action validation is required but there are no element to validate

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_ACTIONS

    static final String ERROR_ACTION_FORBIDDEN_ACTIONS

Common forbidden action error

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_ACTIONS_NAMED

    static final String ERROR_ACTION_FORBIDDEN_ACTIONS_NAMED

Named action other than predefined not allowed

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_ADDITIONAL_ACTION

    static final String ERROR_ACTION_FORBIDDEN_ADDITIONAL_ACTION

Additional action entry is forbidden

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_ADDITIONAL_ACTIONS_FIELD

    static final String ERROR_ACTION_FORBIDDEN_ADDITIONAL_ACTIONS_FIELD

Additional action entry is forbidden in a form field object

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_WIDGET_ACTION_FIELD

    static final String ERROR_ACTION_FORBIDDEN_WIDGET_ACTION_FIELD

A widget annotation linked with a form field shall not have any action

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_ACTIONS_EXPLICITLY_FORBIDDEN

    static final String ERROR_ACTION_FORBIDDEN_ACTIONS_EXPLICITLY_FORBIDDEN

An explicitly forbidden action is used in the PDF file.

See Also:
  Constant Field Values

#### ERROR_ACTION_FORBIDDEN_ACTIONS_UNDEF

    static final String ERROR_ACTION_FORBIDDEN_ACTIONS_UNDEF

Actions is rejected if it isn't defined in the PDF Reference Third Edition This is to avoid not consistent file due to new features of the PDF format.

See Also:
  Constant Field Values

#### ERROR_METADATA_MAIN

    static final String ERROR_METADATA_MAIN

Main metadata error code

See Also:
  Constant Field Values

#### ERROR_METADATA_FORMAT

    static final String ERROR_METADATA_FORMAT

Invalid metadata found

See Also:
  Constant Field Values

#### ERROR_METADATA_PROPERTY_UNKNOWN

    static final String ERROR_METADATA_PROPERTY_UNKNOWN

Unknown metadata

See Also:
  Constant Field Values

#### ERROR_METADATA_PROPERTY_FORMAT

    static final String ERROR_METADATA_PROPERTY_FORMAT

Invalid xmp metadata format

See Also:
  Constant Field Values

#### ERROR_METADATA_FORMAT_UNKOWN

    static final String ERROR_METADATA_FORMAT_UNKOWN

Unexpected type of a Metadata entry

See Also:
  Constant Field Values

#### ERROR_METADATA_FORMAT_STREAM

    static final String ERROR_METADATA_FORMAT_STREAM

Invalid metadata, unable to process the font due to IOException

See Also:
  Constant Field Values

#### ERROR_METADATA_FORMAT_XPACKET

    static final String ERROR_METADATA_FORMAT_XPACKET

Invalid metadata, unable to process the font due to Invalid XPacket exception

See Also:
  Constant Field Values

#### ERROR_METADATA_MISMATCH

    static final String ERROR_METADATA_MISMATCH

Metadata mismatch between PDF Dictionary and xmp

See Also:
  Constant Field Values

#### ERROR_METADATA_XPACKET_DEPRECATED

    static final String ERROR_METADATA_XPACKET_DEPRECATED

Invalid information in xpacket processing instruction

See Also:
  Constant Field Values

#### ERROR_METADATA_ABSENT_DESCRIPTION_SCHEMA

    static final String ERROR_METADATA_ABSENT_DESCRIPTION_SCHEMA

Description schema required not embedded

See Also:
  Constant Field Values

#### ERROR_METADATA_NS_URI_MISSING

    static final String ERROR_METADATA_NS_URI_MISSING

A required namespace URI missing

See Also:
  Constant Field Values

#### ERROR_METADATA_WRONG_NS_URI

    static final String ERROR_METADATA_WRONG_NS_URI

A namespace URI has an unexpected value

See Also:
  Constant Field Values

#### ERROR_METADATA_WRONG_NS_PREFIX

    static final String ERROR_METADATA_WRONG_NS_PREFIX

A namespace prefix has an unexpected value

See Also:
  Constant Field Values

#### ERROR_METADATA_PROPERTY_MISSING

    static final String ERROR_METADATA_PROPERTY_MISSING

Required property is missing

See Also:
  Constant Field Values

#### ERROR_METADATA_UNKNOWN_VALUETYPE

    static final String ERROR_METADATA_UNKNOWN_VALUETYPE

A valueType is used but is not declared

See Also:
  Constant Field Values

#### ERROR_METADATA_PDFA_ID_MISSING

    static final String ERROR_METADATA_PDFA_ID_MISSING

PDF/A Identification Schema not found

See Also:
  Constant Field Values

#### ERROR_METADATA_INVALID_PDFA_CONFORMANCE

    static final String ERROR_METADATA_INVALID_PDFA_CONFORMANCE

PDF/A Identification Conformance Invalid

See Also:
  Constant Field Values

#### ERROR_METADATA_INVALID_PDFA_VERSION_ID

    static final String ERROR_METADATA_INVALID_PDFA_VERSION_ID

PDF/A Identification Version Identifier Invalid (pdfaid:part)

See Also:
  Constant Field Values

#### ERROR_METADATA_RDF_ABOUT_ATTRIBUTE_MISSING

    static final String ERROR_METADATA_RDF_ABOUT_ATTRIBUTE_MISSING

rdf:about is missing

See Also:
  Constant Field Values

#### ERROR_METADATA_RDF_ABOUT_ATTRIBUTE_INEQUAL_VALUE

    static final String ERROR_METADATA_RDF_ABOUT_ATTRIBUTE_INEQUAL_VALUE

One of rdf:about attribute embedded in RDF:rdf have a different value than the others

See Also:
  Constant Field Values

#### ERROR_METADATA_CATEGORY_PROPERTY_INVALID

    static final String ERROR_METADATA_CATEGORY_PROPERTY_INVALID

a category has an invalid value in one property description (must be internal or external)

See Also:
  Constant Field Values

#### ERROR_METADATA_DICT_INFO_CORRUPT

    static final String ERROR_METADATA_DICT_INFO_CORRUPT

the info dictionary is corrupt or value can't be read

See Also:
  Constant Field Values

#### ERROR_PDF_PROCESSING

    static final String ERROR_PDF_PROCESSING

Error about PDF processing : that is not necessary a specific PDF/A validation error but a PDF specification requirement that isn't respected.

See Also:
  Constant Field Values

#### ERROR_PDF_PROCESSING_MISSING

    static final String ERROR_PDF_PROCESSING_MISSING

A Mandatory element is missing

See Also:
  Constant Field Values